Skip to main content
`Ctrl`+`K`

# KSPSetGuess

Set the initial guess object `KSPGuess` to be used by the `KSP` object to generate initial guesses

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPSetGuess(KSP ksp, KSPGuess guess)

Logically Collective

## Input Parameters

- ksp - the Krylov context

- guess - the object created with `KSPGuessCreate()`

## Notes

this allows a single `KSP` to be used with several different initial guess generators (likely for different linear solvers, see `KSPSetPC()`).

This increases the reference count of the guess object, you must destroy the object with `KSPGuessDestroy()` before the end of the program.

## See Also

KSP: Linear System Solvers, `KSP`, `KSPGuess`, `KSPSetOptionsPrefix()`, `KSPAppendOptionsPrefix()`, `KSPSetUseFischerGuess()`, `KSPGetGuess()`

## Level

advanced

## Location

src/ksp/ksp/interface/itcl.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages